import { Component, OnInit } from '@angular/core';
import { AfterContentInit } from '@angular/core/src/metadata/lifecycle_hooks';


@Component({
  selector: 'of-sensor-setting',
  templateUrl: './setting.component.html',
  styleUrls: ['./setting.component.scss']
})
export class SettingComponent implements OnInit, AfterContentInit {

  step = 1;

  constructor() { }

  selectCrawler: String;

  crawlerList: Array<String>;

  ngOnInit() {
  }

  ngAfterContentInit() {

    this.crawlerList = new Array();

    this.crawlerList.push('SSH Crawler');
    this.crawlerList.push('WMI Crawler');
    this.crawlerList.push('MySQL Crawler');
    this.crawlerList.push('PostgreSQL Crawler');
  }

  onNext() {
    this.step += 1;
  }
}
